/*
 * SPDX-FileCopyrightText: 2018 Bruce Cowan <bruce@bcowan.me.uk>
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#pragma once

#include <glib-object.h>

G_BEGIN_DECLS

#define RUGBY_TYPE_POSSIBILITY (rugby_possibility_get_type())

G_DECLARE_FINAL_TYPE (RugbyPossibility, rugby_possibility, RUGBY, POSSIBILITY, GObject)

RugbyPossibility * rugby_possibility_new (int tries,
                                          int utries,
                                          int kicks);

G_END_DECLS
